Imports System.Windows.Forms
Imports DirectionDialogVB.DirectionDialogVB
Imports winforms = System.Windows.Forms

Public Class Direction
    Private _mainPort As DirectionDialogOperations
    Public Sub New(ByVal mainPort As DirectionDialogOperations)
        _mainPort = mainPort
        InitializeComponent()
    End Sub

    Private Sub button_MouseDown(ByVal sender As System.Object, ByVal e As MouseEventArgs) Handles btnStop.MouseDown, btnRight.MouseDown, btnLeft.MouseDown, btnForwards.MouseDown, btnBackwards.MouseDown
        If TypeOf sender Is winforms.Button Then
            Dim button As winforms.Button = CType(sender, winforms.Button)
            If button.Name.StartsWith("btn") Then
                Dim name As String = button.Name.Substring(3)
                _mainPort.Post(New ButtonPress(New ButtonPressRequest(name)))
            End If
        End If
    End Sub

    Private Sub button_MouseUp(ByVal sender As System.Object, ByVal e As MouseEventArgs) Handles btnStop.MouseUp, btnRight.MouseUp, btnLeft.MouseUp, btnForwards.MouseUp, btnBackwards.MouseUp
        If TypeOf sender Is winforms.Button Then
            Dim button As winforms.Button = CType(sender, winforms.Button)
            If button.Name.StartsWith("btn") Then
                Dim name As String = button.Name.Substring(3)
                _mainPort.Post(New ButtonRelease(New ButtonReleaseRequest(name)))
            End If
        End If
    End Sub

End Class
