﻿using System;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.Core.Transforms;

#if NET_CF20
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"cf.xinputgamepad.y2006.m09, version=0.0.0.0, culture=neutral, publickeytoken=18e833dba71613bb")]
#else
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"xinputgamepad.y2006.m09, version=0.0.0.0, culture=neutral, publickeytoken=18e833dba71613bb")]
#endif
#if !URT_MINCLR
[assembly: System.Security.SecurityTransparent]
[assembly: System.Security.AllowPartiallyTrustedCallers]
#endif

namespace Dss.Transforms.TransformXInputGamepad
{

    public class Transforms: TransformBase
    {

        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_XInputGamepadState_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_XInputGamepadState(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.XInputGamepadState target = new Microsoft.Robotics.Services.Sample.XInputGamepad.XInputGamepadState();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.XInputGamepadState from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.XInputGamepadState;
            target.TimeStamp = from.TimeStamp;
            target.Controller = (from.Controller == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Controller)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Controller_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Controller(from.Controller);
            target.DPad = (from.DPad == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.DPad)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_DPad_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_DPad(from.DPad);
            target.Buttons = (from.Buttons == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Buttons)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Buttons_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Buttons(from.Buttons);
            target.Triggers = (from.Triggers == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Triggers)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Triggers_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Triggers(from.Triggers);
            target.Thumbsticks = (from.Thumbsticks == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Thumbsticks)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Thumbsticks_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Thumbsticks(from.Thumbsticks);
            target.Vibration = (from.Vibration == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Vibration)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Vibration_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Vibration(from.Vibration);
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_XInputGamepadState_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_XInputGamepadState(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.XInputGamepadState target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.XInputGamepadState();
            Microsoft.Robotics.Services.Sample.XInputGamepad.XInputGamepadState from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.XInputGamepadState;
            target.TimeStamp = from.TimeStamp;
            target.Controller = (from.Controller == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Controller)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Controller_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Controller(from.Controller);
            target.DPad = (from.DPad == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.DPad)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_DPad_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_DPad(from.DPad);
            target.Buttons = (from.Buttons == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Buttons)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Buttons_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Buttons(from.Buttons);
            target.Triggers = (from.Triggers == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Triggers)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Triggers_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Triggers(from.Triggers);
            target.Thumbsticks = (from.Thumbsticks == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Thumbsticks)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Thumbsticks_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Thumbsticks(from.Thumbsticks);
            target.Vibration = (from.Vibration == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Vibration)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Vibration_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Vibration(from.Vibration);
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PollRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_PollRequest(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.PollRequest target = new Microsoft.Robotics.Services.Sample.XInputGamepad.PollRequest();
            return target;
        }


        private static Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PollRequest _instance_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PollRequest = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PollRequest();
        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_PollRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PollRequest(object ignore)
        {
            return _instance_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PollRequest;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_DPad_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_DPad(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.DPad target = new Microsoft.Robotics.Services.Sample.XInputGamepad.DPad();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.DPad from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.DPad;
            target.TimeStamp = from.TimeStamp;
            target.Left = from.Left;
            target.Down = from.Down;
            target.Right = from.Right;
            target.Up = from.Up;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_DPad_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_DPad(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.DPad target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.DPad();
            Microsoft.Robotics.Services.Sample.XInputGamepad.DPad from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.DPad;
            target.TimeStamp = from.TimeStamp;
            target.Left = from.Left;
            target.Down = from.Down;
            target.Right = from.Right;
            target.Up = from.Up;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Buttons_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Buttons(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Buttons target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Buttons();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Buttons from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Buttons;
            target.TimeStamp = from.TimeStamp;
            target.A = from.A;
            target.B = from.B;
            target.X = from.X;
            target.Y = from.Y;
            target.Back = from.Back;
            target.Start = from.Start;
            target.LeftStick = from.LeftStick;
            target.RightStick = from.RightStick;
            target.LeftShoulder = from.LeftShoulder;
            target.RightShoulder = from.RightShoulder;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Buttons_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Buttons(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Buttons target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Buttons();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Buttons from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Buttons;
            target.TimeStamp = from.TimeStamp;
            target.A = from.A;
            target.B = from.B;
            target.X = from.X;
            target.Y = from.Y;
            target.Back = from.Back;
            target.Start = from.Start;
            target.LeftStick = from.LeftStick;
            target.RightStick = from.RightStick;
            target.LeftShoulder = from.LeftShoulder;
            target.RightShoulder = from.RightShoulder;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Triggers_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Triggers(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Triggers target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Triggers();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Triggers from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Triggers;
            target.TimeStamp = from.TimeStamp;
            target.Left = from.Left;
            target.Right = from.Right;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Triggers_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Triggers(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Triggers target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Triggers();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Triggers from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Triggers;
            target.TimeStamp = from.TimeStamp;
            target.Left = from.Left;
            target.Right = from.Right;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Thumbsticks_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Thumbsticks(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Thumbsticks target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Thumbsticks();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Thumbsticks from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Thumbsticks;
            target.TimeStamp = from.TimeStamp;
            target.LeftX = from.LeftX;
            target.LeftY = from.LeftY;
            target.RightX = from.RightX;
            target.RightY = from.RightY;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Thumbsticks_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Thumbsticks(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Thumbsticks target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Thumbsticks();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Thumbsticks from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Thumbsticks;
            target.TimeStamp = from.TimeStamp;
            target.LeftX = from.LeftX;
            target.LeftY = from.LeftY;
            target.RightX = from.RightX;
            target.RightY = from.RightY;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Controller_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Controller(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Controller target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Controller();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Controller from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Controller;
            target.TimeStamp = from.TimeStamp;
            target.PlayerIndex = (Microsoft.Robotics.Services.Sample.XInputGamepad.PlayerIndex)((System.Int32)from.PlayerIndex);
            target.IsConnected = from.IsConnected;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Controller_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Controller(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Controller target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Controller();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Controller from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Controller;
            target.TimeStamp = from.TimeStamp;
            target.PlayerIndex = (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PlayerIndex)((System.Int32)from.PlayerIndex);
            target.IsConnected = from.IsConnected;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Vibration_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Vibration(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Vibration target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Vibration();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Vibration from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Vibration;
            target.TimeStamp = from.TimeStamp;
            target.Left = from.Left;
            target.Right = from.Right;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Vibration_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Vibration(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Vibration target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Vibration();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Vibration from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Vibration;
            target.TimeStamp = from.TimeStamp;
            target.Left = from.Left;
            target.Right = from.Right;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersRequest(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersRequest target = new Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersRequest();
            return target;
        }


        private static Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersRequest _instance_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersRequest = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersRequest();
        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersRequest(object ignore)
        {
            return _instance_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersRequest;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersResponse_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersResponse(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersResponse target = new Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersResponse();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersResponse from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersResponse;

            // copy IEnumerable Controllers
            if (from.Controllers != null)
            {
                target.Controllers = new System.Collections.Generic.List<Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps>();
                foreach(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps elem in from.Controllers)
                {
                    target.Controllers.Add((elem == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerCaps_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerCaps(elem));
                }
            }
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersResponse_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersResponse(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersResponse target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersResponse();
            Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersResponse from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersResponse;

            // copy IEnumerable Controllers
            if (from.Controllers != null)
            {
                target.Controllers = new System.Collections.Generic.List<Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps>();
                foreach(Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps elem in from.Controllers)
                {
                    target.Controllers.Add((elem == null) ? null : (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps)Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerCaps_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerCaps(elem));
                }
            }
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PlayerIndex_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_PlayerIndex(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.PlayerIndex target = new Microsoft.Robotics.Services.Sample.XInputGamepad.PlayerIndex();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_PlayerIndex_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PlayerIndex(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PlayerIndex target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PlayerIndex();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerType_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerType target = new Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerType_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerType(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerType target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerType();
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerCaps_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerCaps(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps target = new Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps();
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps;
            target.ControllerType = (Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerType)((System.Int32)from.ControllerType);
            target.TimeStamp = from.TimeStamp;
            target.PlayerIndex = (Microsoft.Robotics.Services.Sample.XInputGamepad.PlayerIndex)((System.Int32)from.PlayerIndex);
            target.IsConnected = from.IsConnected;
            return target;
        }


        public static object Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerCaps_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerCaps(object transformFrom)
        {
            Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps target = new Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps();
            Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps from = transformFrom as Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps;
            target.ControllerType = (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerType)((System.Int32)from.ControllerType);
            target.TimeStamp = from.TimeStamp;
            target.PlayerIndex = (Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PlayerIndex)((System.Int32)from.PlayerIndex);
            target.IsConnected = from.IsConnected;
            return target;
        }

        static Transforms()
        {
            Register();
        }
        public static void Register()
        {
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.XInputGamepadState), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_XInputGamepadState_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_XInputGamepadState);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.XInputGamepadState), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_XInputGamepadState_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_XInputGamepadState);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PollRequest), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PollRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_PollRequest);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.PollRequest), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_PollRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PollRequest);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.DPad), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_DPad_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_DPad);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.DPad), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_DPad_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_DPad);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Buttons), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Buttons_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Buttons);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Buttons), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Buttons_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Buttons);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Triggers), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Triggers_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Triggers);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Triggers), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Triggers_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Triggers);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Thumbsticks), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Thumbsticks_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Thumbsticks);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Thumbsticks), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Thumbsticks_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Thumbsticks);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Controller), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Controller_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Controller);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Controller), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Controller_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Controller);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.Vibration), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Vibration_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Vibration);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Vibration), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Vibration_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_Vibration);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersRequest), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersRequest);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersRequest), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersRequest_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersRequest);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.QueryControllersResponse), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersResponse_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersResponse);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.QueryControllersResponse), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_QueryControllersResponse_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_QueryControllersResponse);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.PlayerIndex), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PlayerIndex_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_PlayerIndex);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.PlayerIndex), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_PlayerIndex_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_PlayerIndex);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerType), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerType_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerType);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerType), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerType_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerType);
            AddProxyTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.Proxy.ControllerCaps), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerCaps_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerCaps);
            AddSourceTransform(typeof(Microsoft.Robotics.Services.Sample.XInputGamepad.ControllerCaps), Transform_Microsoft_Robotics_Services_Sample_XInputGamepad_ControllerCaps_TO_Microsoft_Robotics_Services_Sample_XInputGamepad_Proxy_ControllerCaps);
        }
    }
}

